/*
 * Copyright (c) 2019 gematik - Gesellschaft für Telematikanwendungen der Gesundheitskarte mbH
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.gematik.ti.sgd.domain.json;

import com.fasterxml.jackson.annotation.JsonProperty;

public enum SgdCommand {
    @JsonProperty("GetPublicKey")
    GET_PUBLIC_KEY("GetPublicKey"),
    @JsonProperty("IllegalOperation")
    ILLEGAL_OPERATION("IllegalOperation"),
    @JsonProperty("GetAuthenticationToken")
    GET_AUTHENTICATION_TOKEN("GetAuthenticationToken"),
    @JsonProperty("KeyDerivation")
    KEY_DERIVATION("KeyDerivation");

    private final String actionKey;

    SgdCommand(String actionKey) {
        this.actionKey = actionKey;
    }

    public String getActionKey() {
        return actionKey;
    }
}
